# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-13 00:42
from __future__ import unicode_literals

from django.db import migrations, models
from django.db.migrations import RunPython
from oscar.core.utils import slugify


def init_slug_fields(apps, schema_editor):
    RangeDiscount = apps.get_model("offer", "RangeDiscount")
    for range in RangeDiscount.objects.all():
        range.code = slugify(range.name)
        range.save()

class Migration(migrations.Migration):

    dependencies = [
        ('offer', '0022_auto_20171113_0334'),
    ]

    operations = [
        RunPython(init_slug_fields)
    ]
